Package fr.gouv.vitam.antivirus.client.invoker.auth

# Class HttpBearerAuth

java.lang.Object
fr.gouv.vitam.antivirus.client.invoker.auth.HttpBearerAuth

All Implemented Interfaces:
  `Authentication`

@Generated(value="org.openapitools.codegen.languages.JavaClientCodegen", date="2025-10-29T21:12:11.613695899+01:00[Europe/Paris]", comments="Generator version: 7.4.0") public class HttpBearerAuth extends Object implements Authentication

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HttpBearerAuth(String scheme)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `applyToParams(List<Pair> queryParams, Map<String,String> headerParams, Map<String,String> cookieParams)`
  Apply authentication settings to header and query params.
  `String`
  `getBearerToken()`
  Gets the token, which together with the scheme, will be sent as the value of the Authorization header.
  `void`
  `setBearerToken(String bearerToken)`
  Sets the token, which together with the scheme, will be sent as the value of the Authorization header.
  `void`
  `setBearerToken(Supplier<String> tokenSupplier)`
  Sets the supplier of tokens, which together with the scheme, will be sent as the value of the Authorization header.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### HttpBearerAuth

    public HttpBearerAuth(String scheme)

- ## Method Details

  - ### getBearerToken

    public String getBearerToken()
    Gets the token, which together with the scheme, will be sent as the value of the Authorization header.
    Returns:
      The bearer token

  - ### setBearerToken

    public void setBearerToken(String bearerToken)
    Sets the token, which together with the scheme, will be sent as the value of the Authorization header.
    Parameters:
      `bearerToken` - The bearer token to send in the Authorization header

  - ### setBearerToken

    public void setBearerToken(Supplier<String> tokenSupplier)
    Sets the supplier of tokens, which together with the scheme, will be sent as the value of the Authorization header.
    Parameters:
      `tokenSupplier` - The supplier of bearer tokens to send in the Authorization header

  - ### applyToParams

    public void applyToParams(List<Pair> queryParams, Map<String,String> headerParams, Map<String,String> cookieParams)
    Description copied from interface: `Authentication`
    Apply authentication settings to header and query params.
    Specified by:
      `applyToParams` in interface `Authentication`
    Parameters:
      `queryParams` - List of query parameters
      `headerParams` - Map of header parameters
      `cookieParams` - Map of cookie parameters